// ID:编号, Name:名字（图标下面的描述）, Tpye:类型, Count:数量（/VIP体验卡天数）, Icon:图标

export default class M_DailyLoginCFG {
  private static data =
      {"1":{"ID":1,"Name":"300金币","Tpye":99,"Count":300,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"2":{"ID":2,"Name":"5000金币","Tpye":99,"Count":5000,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"3":{"ID":3,"Name":"10000金币","Tpye":99,"Count":10000,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"4":{"ID":4,"Name":"20钻石","Tpye":99,"Count":20,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"5":{"ID":5,"Name":"20000金币","Tpye":99,"Count":20000,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"6":{"ID":6,"Name":"50钻石","Tpye":99,"Count":50,"Icon":"Common2/M_DailyIcon_7.png"}

      ,"7":{"ID":7,"Name":"幸运大转盘","Tpye":99,"Count":0,"Icon":"Common2/M_DailyIcon_7.png"}

      }// ID:编号, Name:名字（图标下面的描述）, Tpye:类型, Count:数量（/VIP体验卡天数）, Icon:图标


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}